/*
	TrayIconCtlApplet
	Copyright (C) 2004 ONO, Masayuki <mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef __TRAY_ICON_CTL_APPLET_H__
#define __TRAY_ICON_CTL_APPLET_H__

#include <qpe/taskbarappletinterface.h>

class QWidget;
class CTrayIconImpl;

class TrayIconCtlApplet : public TaskbarAppletInterface
{
public:
    TrayIconCtlApplet();
    virtual ~TrayIconCtlApplet();

    QRESULT queryInterface( const QUuid&, QUnknownInterface** );
    Q_REFCOUNT

    virtual QWidget* applet( QWidget* );
    virtual int position() const;

private:
    CTrayIconImpl *m_pTrayIcon;
    ulong ref;
};

#endif // __TRAY_ICON_CTL_APPLET_H__
